<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Darryldecode\Cart\Facades\Cart;

class CartController extends Controller
{
    public function addToCart(Request $request)
    {
        $productId = $request->input('product_id');

        $productDetails = config('shopping_cart.product_details')[$productId];

        $userID = 2;

        // Add the product to the cart
        \Cart::session($userID)->add([
            'id' => $productId,
            'name' => $productDetails['name'],
            'price' => $productDetails['price'],
            'quantity' => $productDetails['quantity'],
            'attributes' => [],
            'associatedModel' => $productDetails,
        ]);
        return response()->json(['success' => true]);
    }

    public function updateCart(Request $request)
    {
        $productId = $request->input('product_id');
        $quantity = $request->input('quantity');

        $userID = 2;
        \Cart::session($userID)->update($productId, array(
            'quantity' => array(
                'relative' => false,
                'value' => $quantity
            ),
        ));
        return response()->json(['success' => true]);
    }

    public function showCart()
    {
        $productDetailsArray = config('shopping_cart.product_details', []);

        $userID = 2;
        $cartContent = \Cart::session($userID)->getContent();
        $total = \Cart::getTotal();

        return view('welcome')
            ->with('productDetailsArray', $productDetailsArray)
            ->with('cartContent', $cartContent)->with('total', $total);
    }

    public function removeCart(Request $request)
    {
        $productId = $request->input('product_id');

        $userID = 2;
        \Cart::session($userID)->remove($productId);
        return response()->json(['success' => true]);
    }

    public function clearCart(Request $request)
    {
        $userID = 2;
        \Cart::session($userID)->clear();

        return response()->json(['success' => true]);
    }
}
